> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yehangshe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Commodity price / index time series (on-demand materialization)



## OpenAPI

````yaml https://api.yehangshe.com/v1/openapi.json get /v1/macro/commodities/{name}
openapi: 3.1.0
info:
  title: GEX Heatmap Data API
  version: 0.2.0-dealer-mvp-registry
  description: >-
    Dealer MVP scope. 数据集端点 paths 由 dataset registry 派生；Dealer GEX / Heatmap
    数据集随 P2 注册后自动出现。
servers:
  - url: https://api.yehangshe.com
    description: production
security: []
paths:
  /v1/macro/commodities/{name}:
    get:
      summary: Commodity price / index time series (on-demand materialization)
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            enum:
              - wti
              - brent
              - natural-gas
              - copper
              - aluminum
              - wheat
              - corn
              - cotton
              - sugar
              - coffee
              - all-commodities
        - name: interval
          in: query
          required: false
          schema:
            type: string
            enum:
              - daily
              - weekly
              - monthly
              - quarterly
              - annual
      responses:
        '200':
          description: object payload
        '400':
          description: validation error
        '401':
          description: authentication error
        '402':
          description: subscription paused
        '403':
          description: scope insufficient
        '429':
          description: rate limited or quota exhausted
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````